apiVersion: v1
kind: AdminCluster
bundlePath: /var/lib/gke/bundles/gke-onprem-vsphere-1.6.4-gke.7-full.tgz
vCenter:
  address: 172.16.10.2
  datacenter: "GKE On-Prem"
  cluster: "GKE On-Prem(GPU)"
  resourcePool: "AnthosLab_urgan"
  folder: "Anthos-On-Prem-Labs-Urgan"
  datastore: "datastore1 (1)"
  caCertPath: /home/ubuntu/certs/vcenter.pem
  # The credentials and address to con:nect to vCenter
  credentials:
    fileRef:
      path: "/home/ubuntu/ut/admin-creds.yaml"
      entry: "vcenter-creds"
  dataDisk: "urgan.vmdk"
network:
  hostConfig:
    dnsServers:
      - 172.16.30.1
    ntpServers:
      - ntp.ubuntu.com
  ipMode:
    type: static
    ipBlockFilePath: "/home/ubuntu/ut/admin-cluster-hostconfig.yaml"
  serviceCIDR: 10.96.232.0/24
  podCIDR: 192.168.0.0/16
  vCenter:
    networkName: "internal management"
loadBalancer:
  vips:
    controlPlaneVIP: "172.16.30.155"
  kind: ManualLB
  manualLB:
    controlPlaneNodePort: 30968
    addonsNodePort: 31405
antiAffinityGroups:
  enabled: false
proxy:
  url: http://10.140.0.19:3128/
  noProxy: "127.0.0.1"
gcrKeyPath: "/home/ubuntu/certs/access.json"
stackdriver:
  projectID: "cloudmile-anthos-lab"
  clusterLocation: "asia-east1"
  enableVPC: false
  serviceAccountKeyPath: "/home/ubuntu/certs/monitor.json"
  disableVsphereResourceMetrics: true